Package robocode

## Class MouseDraggedEvent

- java.lang.Object
- - robocode.Event
  - - robocode.MouseEvent
    - - robocode.MouseDraggedEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

    public final class MouseDraggedEvent
    extends MouseEvent

A MouseDraggedEvent is sent to `onMouseDragged()` when the mouse is dragged inside the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `MouseClickedEvent`, `MousePressedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MouseWheelMovedEvent`, Serialized Form

### Constructor Summary

Constructors
`MouseDraggedEvent​(java.awt.event.MouseEvent source)` Called by the game to create a new MouseDraggedEvent.

### Method Summary

### Methods inherited from class robocode.MouseEvent

`getSourceEvent`

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MouseDraggedEvent

    public MouseDraggedEvent​(java.awt.event.MouseEvent source)

Called by the game to create a new MouseDraggedEvent.

Parameters:
  `source` - the source mouse event originating from the AWT.